# Adaptive Histogram Equalization

Adaptive Histogram Equalization (AHE) capabilities in GIL are demonstrated by the program `adaptive_histogram_equalization`, compiled from the sources `example/adaptive_histogram_equalization.cpp`.

## Synopsis

`adaptive_histogram_equalization`

The program doesn't take any argument on the command line.

`adaptive_histogram_equalization` expects to find an image called `test_adaptive.png` in the current directory, and produces the image `out-adaptive.png` in return.

## Specific requirements

### Build requirements

- A C++ compiler compliant with C++14 or above
- The PNG library installed and configured.

### Execution requirements

- `adaptive_histogram_equalization` expects to find an image called `test_adaptive.png` in the current directory.

